<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>香城連儂牆</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.9.0/css/all.css"/>
    <link rel='stylesheet' type='text/css' media='screen' href='index.css'>
</head>
<body>

    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-sm-12">
                <nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;">
                    <button class="btn btn-primary menu" type="button" data-toggle="collapse" data-target="#memoPage"
                      aria-expanded="false" aria-controls="memoPage">
                      Add Memo
                    </button>
                    <button class="btn btn-primary menu" type="button" data-toggle="collapse" data-target="#loginPage"
                      aria-expanded="false" aria-controls="loginPage">
                      Login
                    </button>
                    <span class="pageTile">香城連儂牆</span>
                  </nav>
                  <div class="collapse" id="memoPage">
                    <div class="Memo-Content">
                        <form id ="add-message-form" action="/memos" method="POST" enctype="multipart/form-data">
                        <textarea class="form-control" name="content" id="memoInput" rows="5" placeholder="Please type..."></textarea>
                        <div>
                          <input type="file" class="form-control-file" name="photo" accept="image/*" id="memoUploadFile">
                        </div>
                        <div>
                          <button type="submit" class="btn btn-primary mb-2">Submit</button>
                        </form>
                        </div>
                    </div>
                  </div>
                  <div class="collapse" id="loginPage">
                    <div class="form-group loginContent">
                      <h1>連儂管理員專用</h1>
                      <form id="login-form" action="/login" method="POST">
                      <input type="text" name="username" class="form-control" id="inlineFormInputGroup" placeholder="Username">
                      <input type="password" name="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                      <button type="submit" class="btn btn-primary mb-2">Submit</button>
                    </form> 
                    </div>
                </div>
                      <div class="memo-paper row row-cols-lg-4 row-cols-md-2 row-cols-sm-1" style="padding:20px;">
                        <div class="col mb-4">
                            <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"></h5>
                                <p class="card-text"></p>
                            </div>
                            <div class="card-footer memoFunc">
                                <button type="button" class="btn btn-outline-success">
                                <i class="fas fa-recycle"></i>
                                </button>
                                <button type="button" class="btn btn-outline-info">
                                <i class="fas fa-edit"></i>
                                </button>
                            </div>
                            </div>
                        </div>
                        <div class="col mb-4">
                            <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"></h5>
                                <p class="card-text"></p>
                            </div>
                            <div class="card-footer memoFunc">
                                <button type="button" class="btn btn-outline-success">
                                <i class="fas fa-recycle"></i>
                                </button>
                                <button type="button" class="btn btn-outline-info">
                                <i class="fas fa-edit"></i>
                                </button>
                            </div>
                            </div>
                        </div>
                        <div class="col mb-4">
                            <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"></h5>
                                <p class="card-text"></p>
                            </div>
                            <div class="card-footer memoFunc">
                                <button type="button" class="btn btn-outline-success">
                                <i class="fas fa-recycle"></i>
                                </button>
                                <button type="button" class="btn btn-outline-info">
                                <i class="fas fa-edit"></i>
                                </button>
                            </div>
                            </div>
                        </div>
                        <div class="col mb-4">
                            <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"></h5>
                                <p class="card-text"></p>
                            </div>
                            <div class="card-footer memoFunc">
                                <button type="button" class="btn btn-outline-success">
                                <i class="fas fa-recycle"></i>
                                </button>
                                <button type="button" class="btn btn-outline-info">
                                <i class="fas fa-edit"></i>
                                </button>
                            </div>
                            </div>
                        </div>
                    </div> 
                </div>
            </div>
        </div>
    
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="index.js"></script>
</body>
</html>